# 86. Consulta: Obtener "Fincas"

Lo siguiente describe la consulta básica de GraphQL usada para recuperar todas las "Fincas" accesibles para el usuario:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarms {
  getFarms {
    uuid
    userUuid
    name
    farmOwnership
    externalKey
    ownerEmail
    fechaCreacion
    updatedDate
  }
}
```

{% endcode %}

Además de otros parámetros, puede usar los `farmUuids` y `externalKeys` filtros para personalizar su respuesta. Estos filtros se pueden aplicar de forma independiente o en combinación, lo que permite una recuperación de datos más específica.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    name
    farmOwnership
    externalKey
    ownerEmail
    fechaCreacion
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/86.-consulta-obtener-fincas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
